/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */


export const FORMAT_OPTIONS = [
  'delimited',
  'ndjson',
  'semi_structured_text',
  'xml',
];

export const TIMESTAMP_OPTIONS = [
  'dd/MMM/YYYY:HH:mm:ss Z',
  'EEE MMM dd HH:mm zzz YYYY',
  'EEE MMM dd HH:mm:ss YYYY',
  'EEE MMM dd HH:mm:ss zzz YYYY',
  'EEE MMM dd YYYY HH:mm zzz',
  'EEE MMM dd YYYY HH:mm:ss zzz',
  'EEE, dd MMM YYYY HH:mm Z',
  'EEE, dd MMM YYYY HH:mm ZZ',
  'EEE, dd MMM YYYY HH:mm:ss Z',
  'EEE, dd MMM YYYY HH:mm:ss ZZ',
  'ISO8601',
  // 'MMM  d HH:mm:ss',

  // 'MMM  d HH:mm:ss,SSS',
  // 'MMM  d HH:mm:ss,SSSSSS',
  // 'MMM  d HH:mm:ss,SSSSSSSSS',
  // 'MMM  d HH:mm:ss.SSS',
  // 'MMM  d HH:mm:ss.SSSSSS',
  // 'MMM  d HH:mm:ss.SSSSSSSSS',
  // 'MMM  d HH:mm:ss:SSS',
  // 'MMM  d HH:mm:ss:SSSSSS',
  // 'MMM  d HH:mm:ss:SSSSSSSSS',

  // 'MMM  d YYYY HH:mm:ss',
  'MMM dd HH:mm:ss',

  'MMM dd HH:mm:ss,SSS',
  'MMM dd HH:mm:ss,SSSSSS',
  'MMM dd HH:mm:ss,SSSSSSSSS',
  'MMM dd HH:mm:ss.SSS',
  'MMM dd HH:mm:ss.SSSSSS',
  'MMM dd HH:mm:ss.SSSSSSSSS',
  'MMM dd HH:mm:ss:SSS',
  'MMM dd HH:mm:ss:SSSSSS',
  'MMM dd HH:mm:ss:SSSSSSSSS',

  'MMM dd YYYY HH:mm:ss',
  'MMM dd, YYYY h:mm:ss a',
  'TAI64N',
  'UNIX',
  'UNIX_MS',
  'YYYY-MM-dd HH:mm:ss',

  'YYYY-MM-dd HH:mm:ss,SSS',
  'YYYY-MM-dd HH:mm:ss,SSSSSS',
  'YYYY-MM-dd HH:mm:ss,SSSSSSSSS',
  'YYYY-MM-dd HH:mm:ss.SSS',
  'YYYY-MM-dd HH:mm:ss.SSSSSS',
  'YYYY-MM-dd HH:mm:ss.SSSSSSSSS',
  'YYYY-MM-dd HH:mm:ss:SSS',
  'YYYY-MM-dd HH:mm:ss:SSSSSS',
  'YYYY-MM-dd HH:mm:ss:SSSSSSSSS',

  'YYYY-MM-dd HH:mm:ss,SSS Z',
  'YYYY-MM-dd HH:mm:ss,SSSSSS Z',
  'YYYY-MM-dd HH:mm:ss,SSSSSSSSS Z',
  'YYYY-MM-dd HH:mm:ss.SSS Z',
  'YYYY-MM-dd HH:mm:ss.SSSSSS Z',
  'YYYY-MM-dd HH:mm:ss.SSSSSSSSS Z',
  'YYYY-MM-dd HH:mm:ss:SSS Z',
  'YYYY-MM-dd HH:mm:ss:SSSSSS Z',
  'YYYY-MM-dd HH:mm:ss:SSSSSSSSS Z',

  'YYYY-MM-dd HH:mm:ss,SSSZ',
  'YYYY-MM-dd HH:mm:ss,SSSSSSZ',
  'YYYY-MM-dd HH:mm:ss,SSSSSSSSSZ',
  'YYYY-MM-dd HH:mm:ss.SSSZ',
  'YYYY-MM-dd HH:mm:ss.SSSSSSZ',
  'YYYY-MM-dd HH:mm:ss.SSSSSSSSSZ',
  'YYYY-MM-dd HH:mm:ss:SSSZ',
  'YYYY-MM-dd HH:mm:ss:SSSSSSZ',
  'YYYY-MM-dd HH:mm:ss:SSSSSSSSSZ',

  'YYYY-MM-dd HH:mm:ss,SSSZZ',
  'YYYY-MM-dd HH:mm:ss,SSSSSSZZ',
  'YYYY-MM-dd HH:mm:ss,SSSSSSSSSZZ',
  'YYYY-MM-dd HH:mm:ss.SSSZZ',
  'YYYY-MM-dd HH:mm:ss.SSSSSSZZ',
  'YYYY-MM-dd HH:mm:ss.SSSSSSSSSZZ',
  'YYYY-MM-dd HH:mm:ss:SSSZZ',
  'YYYY-MM-dd HH:mm:ss:SSSSSSZZ',
  'YYYY-MM-dd HH:mm:ss:SSSSSSSSSZZ',

  'YYYY-MM-dd HH:mm:ssZ',
  'YYYY-MM-dd HH:mm:ssZZ',
  'YYYYMMddHHmmss',
];

export const DELIMITER_OPTIONS = [
  'comma',
  'tab',
  'semicolon',
  'pipe',
  'space',
  'other',
];

export const QUOTE_OPTIONS = [
  '\'',
  '"',
  '`',
];

export const CHARSET_OPTIONS = [
  'IBM00858',
  'IBM437',
  'IBM775',
  'IBM850',
  'IBM852',
  'IBM855',
  'IBM857',
  'IBM862',
  'IBM866',
  'ISO-8859-1',
  'ISO-8859-2',
  'ISO-8859-4',
  'ISO-8859-5',
  'ISO-8859-7',
  'ISO-8859-9',
  'ISO-8859-13',
  'ISO-8859-15',
  'KOI8-R',
  'KOI8-U',
  'US-ASCII',
  'UTF-8',
  'UTF-16',
  'UTF-16BE',
  'UTF-16LE',
  'UTF-32',
  'UTF-32BE',
  'UTF-32LE',
  'x-UTF-32BE-BOM',
  'x-UTF-32LE-BOM',
  'windows-1250',
  'windows-1251',
  'windows-1252',
  'windows-1253',
  'windows-1254',
  'windows-1257',
  'Not available',
  'x-IBM737',
  'x-IBM874',
  'x-UTF-16LE-BOM',
  'Big5',
  'Big5-HKSCS',
  'EUC-JP',
  'EUC-KR',
  'GB18030',
  'GB2312',
  'GBK',
  'IBM-Thai',
  'IBM01140',
  'IBM01141',
  'IBM01142',
  'IBM01143',
  'IBM01144',
  'IBM01145',
  'IBM01146',
  'IBM01147',
  'IBM01148',
  'IBM01149',
  'IBM037',
  'IBM1026',
  'IBM1047',
  'IBM273',
  'IBM277',
  'IBM278',
  'IBM280',
  'IBM284',
  'IBM285',
  'IBM297',
  'IBM420',
  'IBM424',
  'IBM500',
  'IBM860',
  'IBM861',
  'IBM863',
  'IBM864',
  'IBM865',
  'IBM868',
  'IBM869',
  'IBM870',
  'IBM871',
  'IBM918',
  'ISO-2022-CN',
  'ISO-2022-JP',
  'ISO-2022-KR',
  'ISO-8859-3',
  'ISO-8859-6',
  'ISO-8859-8',
  'JIS_X0201',
  'JIS_X0212-1990',
  'Shift_JIS',
  'TIS-620',
  'windows-1255',
  'windows-1256',
  'windows-1258',
  'windows-31j',
  'x-Big5-Solaris',
  'x-euc-jp-linux',
  'x-EUC-TW',
  'x-eucJP-Open',
  'x-IBM1006',
  'x-IBM1025',
  'x-IBM1046',
  'x-IBM1097',
  'x-IBM1098',
  'x-IBM1112',
  'x-IBM1122',
  'x-IBM1123',
  'x-IBM1124',
  'x-IBM1381',
  'x-IBM1383',
  'x-IBM33722',
  'x-IBM834',
  'x-IBM856',
  'x-IBM875',
  'x-IBM921',
  'x-IBM922',
  'x-IBM930',
  'x-IBM933',
  'x-IBM935',
  'x-IBM937',
  'x-IBM939',
  'x-IBM942',
  'x-IBM942C',
  'x-IBM943',
  'x-IBM943C',
  'x-IBM948',
  'x-IBM949',
  'x-IBM949C',
  'x-IBM950',
  'x-IBM964',
  'x-IBM970',
  'x-ISCII91',
  'x-ISO2022-CN-CNS',
  'x-ISO2022-CN-GB',
  'x-iso-8859-11',
  'x-JIS0208',
  'x-JISAutoDetect',
  'x-Johab',
  'x-MacArabic',
  'x-MacCentralEurope',
  'x-MacCroatian',
  'x-MacCyrillic',
  'x-MacDingbat',
  'x-MacGreek',
  'x-MacHebrew',
  'x-MacIceland',
  'x-MacRoman',
  'x-MacRomania',
  'x-MacSymbol',
  'x-MacThai',
  'x-MacTurkish',
  'x-MacUkraine',
  'x-MS950-HKSCS',
  'x-mswin-936',
  'x-PCK',
  'x-SJIS_0213',
  'x-windows-50220',
  'x-windows-50221',
  'x-windows-874',
  'x-windows-949',
  'x-windows-950',
  'x-windows-iso2022jp',
];
